### Method

# Devhelp Link belongs_to_page

since: 3.28

#### Declaration [src]

    gboolean
    dh_link_belongs_to_page (
      DhLink* link,
      const gchar* page_id
    )

#### Description [src]

This function permits to know if `link` belongs to a certain page.

`page_id` is usually the HTML filename without the `.html` extension. More generally, `page_id` must be a relative URL (relative to the book base path), without the anchor nor the file extension.

For example if `link` has the relative URL `"DhLink.html#dh-link-ref"`, then this function will return `TRUE` if the `page_id` is `"DhLink"`.

Available since: 3.28

#### Parameters

`page_id`

  Type: `const gchar*`

  A page ID, i.e. the filename without its extension.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether `link` belongs to `page_id`.